%global	gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global	gemname hiera-eyaml
%global	geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:	Hiera backend for decrypting encrypted yaml properties
Name:		rubygem-%{gemname}
Version:	2.0.0
Release:	1%{?dist}
Group:		System Environment/Base
License:	GPLv2
URL:		https://github.com/TomPoulton/hiera-eyaml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	rubygems
Requires:	ruby(abi) = 1.8
BuildRequires:	rubygem(trollop) >= 2.0
BuildRequires:	rubygem(highline) >= 1.6.20
Requires:	rubygem(trollop) >= 2.0
Requires:	rubygem(highline) >= 1.6.20
BuildRequires:	rubygems
BuildArch:	noarch
Provides:	rubygem(%{gemname}) = %{version}
Source0:	http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

%description
hiera-eyaml is a backend for Hiera that provides per-value encryption of
sensitive data within yaml files to be used by Puppet.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
	--force --rdoc %{SOURCE0}
mkdir -p %{buildroot}%{_bindir}
ln -s %{geminstdir}/bin/eyaml %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/eyaml
%dir %{geminstdir}
%{geminstdir}/lib
%{gemdir}/bin
%doc %{geminstdir}/*.txt
%doc %{gemdir}/doc/%{gemname}-%{version}
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%exclude %{geminstdir}/Gemfile*
%exclude %{geminstdir}/Rakefile
%exclude %{geminstdir}/.gitignore
%exclude %{geminstdir}/.travis.yml
%exclude %{geminstdir}/hiera-eyaml.gemspec
%exclude %{geminstdir}/tools/regem.sh
%doc %{geminstdir}/README.md
%doc %{geminstdir}/PLUGINS.md
%doc %{geminstdir}/sublime_text
%{geminstdir}/bin

%changelog
* Mon Dec 30 2013 Josko Plazonic <plazonic@princeton.edu> - 2.0-1
- initial build
